<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRX = new calculosFichaVirtual(); //calcula todos valores finais
$sessao = new sessao();
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("binario=$binario<br>");

//aqui pego o binario, explodo e jogo ele aqio
//$binario=$vetorFicha[21];
//list($p1,$p2,$p3,$p4,$p5,$p6,$p7,$p8,$p9,$p10,$p11,$p12,$p13,$p14,$p15) = explode("]", $binario);
//vai mostrar o manual
if(isset($_POST['manual'])):
    echo '<iframe src="manual2010.php?opcaoManual=avaliarAmostras" style="border:5px dotted blue" width="100%" height="350"></iframe>';//funciona
endif;	

if(isset($_POST['bt_avaliarGrupo'])):
   //echo("esta no grupo<br>");
   $inicio=$_POST['inicio'];
   $final=$_POST['final'];
   for($registro=$inicio;$registro<=$final;$registro++):
      //precisa capturar a id desta amostra
	  $amostraLong=$objetocalculoRX->achaApenasIdAmostraTendoRegistro($registro);
      //precisa capurar o binario mandando para a fucnao  $binario=$objetocalculoRX->padrao2016($amostraLong);
      $binario=$objetocalculoRX->padrao2016($amostraLong);
      //precisa salvar o binario no campo proprio
	  $sql="update ficha set fic_binario='$binario' where fic_id=".$amostraLong;
      $userNota = new generica();
      $userNota->campos_valores = $sql;				 
	  $userNota->inserirEspecial($userNota);
	  //$idNota=$userNota->linhasafetadas;
      //echo("Salvou amostra=$registro  amostralong=$amostraLong<br>");  
   
   endfor;   
else:
   //so vai chamar o binario da amostra corrente na entrada ou seja quando nao clicou no botao procurar
   $binario=$objetocalculoRX->padrao2016($amostraLong);
endif;//testa se clicou no botao gupos






?>





<html>
<body bgcolor="#cddbe7">
<form class="userform" method="post" action="">
 
		   Não ordene avaliar mais de 500 amostras de cada vez. Mande fazer a avaliação antes de emitir o DEAS.<br>
		   Sugerimos mandar avaliar amostras,pelo PADRÃO, antes das 9 horas da manhã, para evitar o execesso de tráfego na internet.<br>


  
				<input type="submit" name="bt_avaliarGrupo" value="Avaliar grupo " />
				Inicio<input type="text" size="2" name="inicio" value="<?php echo $inicio;?>" />
				Final<input type="text" size="2" name="final" value="<?php echo $final;?>" />




 			    Obter informações:<input type="submit" name="manual" value="Ajuda" />



	
			
			
			
			
			
			
			
</form>
</body>
</html>

